body {
    font-family: 'Courier New', monospace;
    background-color: rgb(51, 28, 35);
    color: rgb(248, 228, 200);
    text-align: center;
    margin: 0;
    padding: 0;
    cursor: url('../IMAGES/CastleFlesh/CursorArrow.png'), default;
}

header {
    padding: 60px;
    background-color: rgb(51, 28, 35);
}

footer {
    padding: 30px;
    background-color: rgb(51, 28, 35);
} 

#viewport {
    font-size: 20px;
    padding: 0px;
    display: inline-block;
    position: relative;
    width: 480px;
    height: 420px;
    margin: 0 auto;
    overflow: visible;
}

.dungeon-layer {
    position: relative;
    width: 100%;
    height: 100%;
}

#visual-img {
    width: 100%;
    height: 100%;
    display: block;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

 
  .border-frame {
    position: absolute;
    top: 0;
    left: 0;
    width: 1920px;
    height: 1080px;
    object-fit: contain;
    pointer-events: none; /* lets clicks pass through */
    z-index: 10;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  .interactive-spot {
    position: absolute;
    top: 50%; /* This centers the button vertically in the viewport */
    left: 50%; /* This centers the button horizontally in the viewport */
    transform: translate(-50%, -50%);
    padding: 8px 12px;
    background-color: rgba(255, 255, 255, 0.1); /* Slightly visible background for debugging */
    color: #fff;
    border: 1px solid #fff;
    border-radius: 5px;
    cursor: url('../IMAGES/CastleFlesh/CursorPointer.png'), pointer;
    z-index: 5;
    visibility: hidden; /* Keeps it invisible but still interactive */
    font-weight: bold;
}

/* Instruction Modal Styling */
.instruction-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(5, 76, 48, 0.7); /* Semi-transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    visibility: hidden; /* Hidden by default */
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.instruction-modal.show {
    visibility: visible;
    opacity: 1;
}

.instruction-content {
    background-color: rgb(51, 28, 35);
    padding: 20px;
    border-radius: 10px;
    color: #fff;
    text-align: center;
}

#start-game {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #ff5079;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#start-game:hover {
    background-color: #7b0f2e;
}

.hidden-text {
    visibility: hidden;
}

button {
    font-family: 'Courier New', monospace;
    background: pink;
    border: none;
    padding: 15px 30px;
    font-size: 14px;
    cursor: pointer;
    margin-top: 45px;
    transition: 0.2s;
} 